/**
 * arxtools - Tools for modififying ARX archives.
 * Copyright (C) 2005  Hagen Möbius
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
**/

#ifndef ARXTOOLS_COMMON_H
#define ARXTOOLS_COMMON_H

#if HAVE_CONFIG_H
#include "../config.h"
#endif

#include <Arxx.h>

bool IsHexValue(const std::string & sString);
Arxx::u4byte u4GetValue(const std::string & sValueString);
Arxx::u4byte GetHexValue(const std::string & sHex);
bool bIsNumericValue(const std::string & sString);
bool bFileExists(const std::string & sFilePath);
std::string sGetCurrentWorkingDirectory(void);

#endif
